<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.CreateAccionesTitle}"></h:outputText>
        </ui:define>
        <ui:define name="body">
            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.CreateAccionesLabel_accionesId}" for="accionesId" />
                    <h:inputText id="accionesId" value="#{accionesController.selected.accionesId}" title="#{bundle.CreateAccionesTitle_accionesId}" required="true" requiredMessage="#{bundle.CreateAccionesRequiredMessage_accionesId}"/>
                    <h:outputLabel value="#{bundle.CreateAccionesLabel_accionesNombre}" for="accionesNombre" />
                    <h:inputText id="accionesNombre" value="#{accionesController.selected.accionesNombre}" title="#{bundle.CreateAccionesTitle_accionesNombre}" />
                </h:panelGrid>
                <br />
                <h:commandLink action="#{accionesController.create}" value="#{bundle.CreateAccionesSaveLink}" />
                <br />
                <br />
                <h:commandLink action="#{accionesController.prepareList}" value="#{bundle.CreateAccionesShowAllLink}" immediate="true"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.CreateAccionesIndexLink}"/>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
